Subject: Re: [PATCH v2]: Fix e500 v2 core reboot bug

From: Zang Roy-r61911 <[email-masked]>
Date: 04 Jun 2007 17:01:23 +0800

On Mon, 2007-06-04 at 16:41, Segher Boessenkool wrote:
> >> After some discussion on IRC I think the following is the suggested
> >> node we should add in.
> >>
> >> guts@e00000 {
> >>         compatible = "fsl,mpc8548-guts";
> >>         reg = <e00000 1000>;
> > one more zero!
> 
> Yeah.
> 
> >>         fsl,has-rstcr;
> >> };
> 
> If "guts" is some kind of official name (i.e., the
> block is called that in the user manual), it looks
> okay to me.  
No! It is not official name. It is provided by Kumar. It should be a
abbr. standing for "Global Utilities" as far as my understand.
> Otherwise, please change; in fact, just
> change the name anyway (not the compatible), to
> "shared-soc-regs" or something like that;
I can not agree with you. "shared-soc-regs" can not describe the
property of this kind of register.
The official description for this set of registers:

"The global utilities block controls power management, I/O device
enabling, power-on-reset (POR) configuration monitoring, general-purpose
I/O signal configuration, alternate function selection for multiplexed
signals, and clock control.

gub (Kumar's style?): global utilities block
or 
global-uti-regs or global-uti (Segher's style?)
may be better.
 
>  "name"
> should be descriptive (but terse).
> 
Agree!
But we should reach a agreement!
Thanks.
Roy